%define name vodafone-mobile-connect
%define version 2.10.01
%define release %mkrel 1

Summary: 	Vodafone Mobile Connect (GUI) for Linux
Summary(de): 	Vodafone Mobile Verbindungs-Manager (GUI) für Linux
Name: 		%{name}
Version: 	%{version}
Release:	%{release}
Source0: 	vodafone-mobile-connect-2.10.01-1.tar.bz2
Source1:	vmc-pclinuxos-plugin.py	
License:	GPLv2+
Group: 		System/Configuration/Networking
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
URL:		http://www.vodafonebetavine.net/web/linux_drivers
Provides:	%{name} = %{version}-%{release} vmc
Obsoletes:	%{name} < %{version} vmc
Requires:	python-twisted python-serial pygtk2.0-libglade python-pycrypto
Requires:	python-twisted-conch >= 0.8.0
Requires:	dbus-python gksu wvdial python-notify python-gobject
Requires:	gnome-python gnome-python-extras python-cairo python-sqlite2 
Requires:	lsb-release usb_modeswitch hal python-pytz python-dbus


%description
Vodafone Mobile Connect Card driver for Linux is a GPRS/UMTS/HSDPA device
manager written in Python, licensed under the GPL. Features: Data call handling
Send/Receive SMS SIM phone book management Graphical user interface using GTK

%description -l de
Vodafone Mobile Connect Card driver für Linux ist ein GPRS/UMTS/HSDPA Geräte-
Manager in Python geschrieben, lizensiert unter der GPL. Merkmale: Data Rufbehandlung
Senden/Empfangen von SMS SIM-Telefonbuch-Management Grafische Benutzeroberfläche mit GTK

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins/os/pclinuxos.py

rm -Rf $RPM_BUILD_ROOT%{_datadir}/applications/vmc.desktop
%__cat > $RPM_BUILD_ROOT%{_datadir}/applications/vmc.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Vodafone Mobile Connect
Comment=Vodafone Connectivity Application
Comment=Vodafone Verbindungs-Manager
Exec=vodafone-mobile-connect-card-driver-for-linux
Terminal=false
X-MultipleArgs=false
Type=Application
Icon=vodafone.png
Categories=Qt;KDE;Network;Dialup;X-MandrivaLinux-Internet-RemoteAccess;
StartupNotify=true
EOF

%post
%{update_desktop_database}
%{update_menus}

groupadd -f dialout
chown :dialout /etc/ppp/chap-secrets /etc/ppp/pap-secrets /etc/ppp/peers
chmod 660 /etc/ppp/chap-secrets /etc/ppp/pap-secrets
chmod 775 /etc/ppp/peers

chown :dialout /usr/sbin/pppd
chmod 4754 /usr/sbin/pppd

%postun
%{clean_desktop_database}
%{clean_menus}

if [ "$1" = "0" ] ; then # last instance of package being removed

	chown :root /usr/sbin/pppd
	chmod 555 /usr/sbin/pppd

	chown :root /etc/ppp/chap-secrets /etc/ppp/pap-secrets /etc/ppp/peers
	chmod 600 /etc/ppp/chap-secrets /etc/ppp/pap-secrets
	chmod 755 /etc/ppp/peers
	#groupdel dialout
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
%attr(0755,root,root) /etc/ppp/ip-down.d/0095vmc
%attr(0755,root,root) /etc/ppp/ip-up.d/0095vmc
%attr(0644,root,root) /etc/udev/rules.d/45-vmc-huawei.rules
%attr(0644,root,root) /etc/udev/rules.d/45-vmc-novatel.rules
%attr(0644,root,root) /etc/udev/rules.d/45-vmc-option.rules
%attr(0644,root,root) /etc/udev/rules.d/45-vmc-zte.rules
%attr(0644,root,root) /etc/modprobe.d/blacklist-vmc
#%attr(0644,root,root) /etc/dbus-1/system.d/vmc.conf
/usr

%changelog
* Fri Dec 25 2009 maik3531 <maik3531 at yahoo dot de>
- first build

